<?php

namespace App\Http\Controllers;

use Codexshaper\WooCommerce\Facades\WooCommerce;
use Illuminate\Http\Request;
use Codexshaper\WooCommerce\Models\Product;

class WooCommerceController extends Controller

{
    public function index()
    {
        try {
            // Esegui una richiesta per ottenere i primi prodotti
            // $products = WooCommerce::get('products', ['per_page' => 1]);
            $products = Product::where('sku','16670')->get();

            if (!empty($products)) {
                // Stampa l'ID del primo prodotto
                echo 'Connection successful! First product ID: ' . $products[0]->id;
            } else {
                echo 'No products found.';
            }
        } catch (\Exception $e) {
            // Gestisce eventuali errori di connessione
            echo 'Error: ' . $e->getMessage();
        }
    }
}

